apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: sapawarga-ingress
  namespace: sapawarga
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/enable-access-log: "true"
    nginx.ingress.kubernetes.io/ssl-redirect: "true"

spec:
  rules:
  -  http:
      paths:
      - path: /(.*)
        backend:
          serviceName: sapawarga-webadmin
          servicePort: webadmin-port
      - path: /api/(.*)
        backend:
          serviceName: sapawarga-api
          servicePort: api-port
